2017-11-20 05:30 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000682v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:46
Reportercaseydk 
Assigned Tocaseydk 
PriorityhighSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000682: Autoconfigure Default Timezone
Description
At present, when web2project is installed, we just set a timezone for the Default User Preferences. If it's incorrect or the Admin doesn't know to change the timezone, all future users will have the incorrect timezone too.

At install, if we can detect the person's timezone via Javascript, we can make an educated guess on what the default should be. It's not guaranteed to be correct but will be more often than the default.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000765closedrobertbasic wrong timezone for admin 
+Relationships

-Notes

~0001520

eureka (reporter)

Last edited: 2011-01-04 10:00

The first way using cookie :
setCookie("tzo", new Date().getTimezoneOffset()/60)*(-1), 30);

or the best way using an hidden form element whose id is 'tzo' :
document.getElementById('tzo').value = (new Date().getTimezoneOffset()/60)*(-1);

~0001884

robertbasic (developer)

Last edited: 2011-04-30 02:11

Pull request is sent https://github.com/caseysoftware/web2project/pull/24

~0001907

caseydk (administrator)

Congrats to RobertBasic who resolved this one (with a minor tweak) in r1886-1889;
+Notes

-Issue History
Date Modified Username Field Change
2011-01-03 18:52 caseydk New Issue
2011-01-04 09:59 eureka Note Added: 0001520
2011-01-04 10:00 eureka Note Edited: 0001520
2011-02-24 00:55 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-04-13 06:51 caseydk Relationship added related to 0000765
2011-04-27 13:18 robertbasic Note Added: 0001884
2011-04-30 02:11 robertbasic Note Edited: 0001884
2011-05-06 21:09 caseydk Note Added: 0001907
2011-05-06 21:09 caseydk Status new => resolved
2011-05-06 21:09 caseydk Resolution open => fixed
2011-05-06 21:09 caseydk Assigned To => caseydk
2011-08-16 23:46 caseydk Status resolved => closed
2011-08-16 23:46 caseydk Fixed in Version => 2.4
+Issue History